/* tagswrw.e             Add tagging capabilities       1991/10/24 19:45 */
/************************************************************************
* "Epsilon", "EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd. *
*                          *
*  Copyright (C) 1988, 1990 Lugaru Software Ltd.  All rights reserved.  *
*                          *
* Limited permission is hereby granted to reproduce and modify this  *
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in  *
* any such reproduction or modification.           *
************************************************************************/

#include "eel.h"

/****************************/
tag_suffix_cor ()        /* tag all Choreographer methods in this .cor file */

   {
   char  func[150];
   int   len, start;
   
   while (re_search (1, "^{((m)|(privatem)|(systemm))ethod +"))
      {
      start = point;
      len = parse_string (1, "[a-zA-Z0-9_]+", func);
      if (len && parse_string (1, "[?! \t]+of[ \t]+", (char *) 0))
         add_tag (func, filename, start);
      }
   }

/****************************/
tag_suffix_cdt ()        /* tag all Choreographer methods in this .cdt file */

   {
   tag_suffix_cor ();
   }
